Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594149 - Schema cleanup
Summary: Schema cleanup
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: 2.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 14:39 UTC by Rob Crittenden
Modified: 2015-01-04 23:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 09:36:12 UTC


Attachments (Terms of Use)
use proper OID space for attributes and objects (deleted)
2010-05-20 21:04 UTC, Rob Crittenden
no flags Details | Diff

Description Rob Crittenden 2010-05-20 14:39:33 UTC
Description of problem:

Some OIDs are not correct in the schema. It should follow:

IPAv2 Attributes  	2.16.840.1.113730.3.8.3.x
IPAv2 ObjectClasses 	2.16.840.1.113730.3.8.4.x

ipaVolumeKey is in the attribute OID range, not objectclasses.

There are potentially some gaps (particularly when the above is moved). Verify that the rest of the schema is consistent.

Comment 1 Rob Crittenden 2010-05-20 21:04:25 UTC
Created attachment 415512 [details]
use proper OID space for attributes and objects

Use correct OID base for ipaVolumeKey
Re-number to use contiguous values. There were some pretty big gaps.

Comment 2 Rob Crittenden 2010-09-07 19:53:38 UTC
fixed in master: c42684ad5bbac1744b11fde4b5efd244442ed2a8


Note You need to log in before you can comment on or make changes to this bug.